## org.omg.DynamicAny
Class DynUnionHelper

    java.lang.Object
      |
      +--org.omg.DynamicAny.DynUnionHelper

public class DynUnionHelper
extends java.lang.Object

Helper class for : DynUnion

Author:
  OpenORB Compiler

Constructor Summary
`DynUnionHelper()`

Method Summary
`static DynUnion` `extract(Any a)` Extract DynUnion from an any
`static java.lang.String` `id()` Return the DynUnion IDL ID
`static void` `insert(Any a, DynUnion t)` Insert DynUnion into an any
`static DynUnion` `narrow(Object obj)` Narrow CORBA::Object to DynUnion
`static DynUnion` `read(InputStream istream)` Read DynUnion from a marshalled stream
`static TypeCode` `type()` Return the DynUnion TypeCode
`static DynUnion` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to DynUnion
`static void` `write(OutputStream ostream, DynUnion value)` Write DynUnion into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynUnionHelper

    public DynUnionHelper()

Method Detail

### insert

    public static void insert(Any a,
                              DynUnion t)

  Insert DynUnion into an any
  Parameters:
    `a` - an any
    `t` - DynUnion value

### extract

    public static DynUnion extract(Any a)

  Extract DynUnion from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted DynUnion value

### type

    public static TypeCode type()

  Return the DynUnion TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the DynUnion IDL ID
  Returns:
    an ID

### read

    public static DynUnion read(InputStream istream)

  Read DynUnion from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed DynUnion value

### write

    public static void write(OutputStream ostream,
                             DynUnion value)

  Write DynUnion into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - DynUnion value

### narrow

    public static DynUnion narrow(Object obj)

  Narrow CORBA::Object to DynUnion
  Parameters:
    `obj` - the CORBA Object
  Returns:
    DynUnion Object

### unchecked_narrow

    public static DynUnion unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to DynUnion
  Parameters:
    `obj` - the CORBA Object
  Returns:
    DynUnion Object